
  <div [formGroup]="form">
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Equipment Review Details</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div>
          <h6>Device-Order: {{deviceFtn}}</h6>
        </div>

        <!-- Order Information -->
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Order Information</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Device-Order: </label>
                <div class="col-24 col-lg-12"><label>{{deviceFtn}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">CCD: </label>
                <div class="col-24 col-lg-12"><label>{{ccd | date:'MM/dd/yyyy'}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Site: </label>
                <div class="col-24 col-lg-12"><label>{{site}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">RAS Date: </label>
                <div class="col-24 col-lg-12"><label>{{rASDate}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Equipment Only: </label>
                <div class="col-24 col-lg-12"><label>{{eqptOnlyCD}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Records Only: </label>
                <div class="col-24 col-lg-12"><label>{{recordsOnly}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Customer Name: </label>
                <div class="col-24 col-lg-12"><label>{{customerName}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">H6 Customer ID: </label>
                <div class="col-24 col-lg-12"><label>{{h6CustomerID}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Address1: </label>
                <div class="col-24 col-lg-12"><label>{{address1}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">SCA: </label>
                <div class="col-24 col-lg-12"><label>{{sca}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Address2: </label>
                <div class="col-24 col-lg-12"><label>{{address2}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">City: </label>
                <div class="col-24 col-lg-12"><label>{{city}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Address3: </label>
                <div class="col-24 col-lg-12"><label>{{address3}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">State: </label>
                <div class="col-24 col-lg-12"><label>{{state}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Building: </label>
                <div class="col-24 col-lg-12"><label>{{building}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Zip: </label>
                <div class="col-24 col-lg-12"><label>{{zip}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Floor: </label>
                <div class="col-24 col-lg-12"><label>{{floor}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Country: </label>
                <div class="col-24 col-lg-12"><label>{{country}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Room: </label>
                <div class="col-24 col-lg-12"><label>{{room}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Province: </label>
                <div class="col-24 col-lg-12"><label>{{province}}</label></div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <!-- Material Requisition Automation -->
        <mat-accordion *ngIf="matReqAuto">
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Material Requisition Automation</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8"></label>
                <div class="col-24 col-lg-12">
                  <dx-check-box formControlName="standardMatlReq"
                                text="Standard Matl Req"
                                (onValueChanged)="standardMatlReqChanged($event)">
                  </dx-check-box>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery CLLI: </label>
                <div class="col-24 col-lg-12"><label>{{deliveryCLLI}}</label></div>
              </div>

            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8"></label>
                <div class="col-24 col-lg-12">
                  <dx-check-box formControlName="noMatlReq"
                                text="No Matl Req">
                  </dx-check-box>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Ship Addr Y/N: </label>
                <div class="col-24 col-lg-12"><label>{{shipAddr}}</label></div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <!-- Line Items -->
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Line Items</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <dx-data-grid class="mb-3" [dataSource]="cpeLineItemsList"
                          [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                          [showBorders]="true" [columnAutoWidth]="true">
              <dxo-sorting mode="multiple"></dxo-sorting>
              <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
              <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

              <dxi-column dataField="devicE_ID" caption="Device ID" dataType="string"></dxi-column>
              <dxi-column dataField="mdS_DES" caption="Description" dataType="string"></dxi-column>
              <dxi-column dataField="eqpT_TYPE_ID" caption="PCI Type" dataType="string"></dxi-column>
              <dxi-column dataField="matL_CD" caption="IMN" dataType="string"></dxi-column>
              <dxi-column dataField="ordR_QTY" caption="QTY" dataType="string"></dxi-column>
              <dxi-column dataField="cntrC_TYPE_ID" caption="Cntrct Typ" dataType="string"></dxi-column>
              <dxi-column dataField="mntC_CD" caption="MNS" dataType="string"></dxi-column>
              <dxi-column dataField="sprinT_MNTD_FLG" caption="Sprint Maintenance" dataType="string"></dxi-column>
              <dxi-column dataField="cpE_REUSE_CD" caption="ReUse" dataType="string"></dxi-column>
              <dxi-column dataField="manF_DISCNT_CD" caption="Vndr Dscnt" dataType="string"></dxi-column>
            </dx-data-grid>
          </mat-expansion-panel>
        </mat-accordion>

      </mat-expansion-panel>
    </mat-accordion>
  </div>
